from django.db import models

from .. import enums
from ..fields import CurrencyAmountField, JSONField
from .base import PaypalObject


class Dispute(PaypalObject):
	create_time = models.DateTimeField(db_index=True, editable=False)
	update_time = models.DateTimeField(null=True, blank=True, db_index=True, editable=False)
	disputed_transactions = JSONField(editable=False)
	reason = models.CharField(
		max_length=39, choices=enums.DisputeReason.choices, editable=False
	)
	status = models.CharField(max_length=27, choices=enums.DisputeStatus.choices)
	dispute_amount = CurrencyAmountField(editable=False)
	dispute_outcome = JSONField(null=True, blank=True, editable=False)
	messages = JSONField(null=True, blank=True)
	seller_response_due_date = models.DateTimeField(null=True, blank=True, editable=False)
	dispute_flow = models.CharField(
		max_length=25, choices=enums.DisputeFlow.choices, editable=False
	)

	id_field_name = "dispute_id"
	dashboard_url_template = "{paypal}/resolutioncenter/achcb/case/{id}"
